summaryrefslogtreecommitdiff
path: root/tests/userid
diff options
context:
space:
mode:
authorSimon Josefsson <simon@josefsson.org>2006-12-27 18:13:24 +0000
committerSimon Josefsson <simon@josefsson.org>2006-12-27 18:13:24 +0000
commit51986396962e08979ea33de6f8ed0751313b135a (patch)
tree118aaa5a7ed0c7821f79c701e683e677c61be813 /tests/userid
parentbad0ef1cd18b140d73324e3fdd4391c1d01a6509 (diff)
downloadgnutls-51986396962e08979ea33de6f8ed0751313b135a.tar.gz
Add.
Diffstat (limited to 'tests/userid')
-rwxr-xr-xtests/userid/userid28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/userid/userid b/tests/userid/userid
new file mode 100755
index 0000000000..20550395ad
--- /dev/null
+++ b/tests/userid/userid
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Copyright (C) 2006 Free Software Foundation
+#
+# Author: Simon Josefsson
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at
+# your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNUTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
+
+srcdir=${srcdir:-.}
+CERTTOOL=${CERTTOOL:-../../src/certtool}
+
+exec $CERTTOOL --certificate-info --infile $srcdir/userid.pem